Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mockito.internal.invocation
Class SerializableMethod

    java.lang.Object
      org.mockito.internal.invocation.SerializableMethod

All Implemented Interfaces:
  java.io.Serializable, MockitoMethod

    public class SerializableMethod

extends java.lang.Object
implements java.io.Serializable, MockitoMethod

See Also:
  Serialized Form

Constructor Summary
`SerializableMethod(java.lang.reflect.Method method)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.Class<?>[]` | `getExceptionTypes()`
`java.lang.reflect.Method` | `getJavaMethod()`
`java.lang.String` | `getName()`
`java.lang.Class<?>[]` | `getParameterTypes()`
`java.lang.Class<?>` | `getReturnType()`
`int` | `hashCode()`
`boolean` | `isVarArgs()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializableMethod

    public SerializableMethod(java.lang.reflect.Method method)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `MockitoMethod`

### getReturnType

    public java.lang.Class<?> getReturnType()

  Specified by:
    `getReturnType` in interface `MockitoMethod`

### getParameterTypes

    public java.lang.Class<?>[] getParameterTypes()

  Specified by:
    `getParameterTypes` in interface `MockitoMethod`

### getExceptionTypes

    public java.lang.Class<?>[] getExceptionTypes()

  Specified by:
    `getExceptionTypes` in interface `MockitoMethod`

### isVarArgs

    public boolean isVarArgs()

  Specified by:
    `isVarArgs` in interface `MockitoMethod`

### getJavaMethod

    public java.lang.reflect.Method getJavaMethod()

  Specified by:
    `getJavaMethod` in interface `MockitoMethod`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD